#!/bin/bash

if [ ! -f checkout.log -o ! -d bennugd ]; then
./bgd-get-source.sh || exit 1
fi

BVER="r$(tail -n1 checkout.log | grep -oE '[0-9]+')-haiku-gcc4"
TARGET="bennugd-$BVER.zip"

cd bennugd

../bgd-patch.sh || exit 1
../bgd-configure.sh || exit 1
../bgd-make.sh || exit 1
../bgd-pack-dist.sh "$TARGET" || exit 1

cp "$TARGET" ".."

cd ..
