#!/bin/sh

CFLAGS="-DTARGET_BEOS"

echo "Reconfigurng..."

cd core
libtoolize --force --copy --install || exit 1
autoreconf -i || exit 1
chmod +x configure
./configure CFLAGS="$CFLAGS -L/boot/system/lib" || exit 1
cd ..

cd modules
libtoolize --force --copy --install || exit 1
autoreconf -i || exit 1
chmod +x configure
./configure CFLAGS="$CFLAGS -L/boot/system/lib" || exit 1
cd ..

echo "Configured. You can make core and modules now."

